@font-face {
    font-family: "Six Caps";
    src: url('../fonts/six-caps/SixCaps-Regular.ttf');
}

@font-face {
    font-family: "Montserrat";
    src: url('../fonts/montserrat/Montserrat-VariableFont_wght.ttf');
}

body {
    background-color: #ffffff;
    overflow: auto;
}


:root {
    --kcp-black: #121212;
    --kcp-white: #e7e4e4;
    --kcp-purple: #8D53B9;
    --kcp-green: #327714;
    --c1: #6b6bd6;
    --c2: #e74f4f;
    --c3: #fc921f;
    --c4: #149ece;
}

.mts-r {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.mts-sb {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.mts-eb {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 800;
    font-style: normal;
}

.sixcaps {
    font-family: "Six Caps";
    font-size: 2.5em;
    color: #FFFFFF;
    letter-spacing: 5px;
}

.sixcaps:hover, .bi-person-circle:hover {
    color: #FFFFFF;
}

.sixcaps:after, .bi-person-circle:after {    
    background: none repeat scroll 0 0 transparent;
    bottom: 0;
    content: "";
    display: block;
    height: 5px;
    left: 50%;
    position: absolute;
    background: #fff;
    background: linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    width: 0;
  }



  .sixcaps:hover:after, .bi-person-circle:hover:after { 
    width: 100%; 
    left: 0; 
  }

body {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

footer {
    font-size: 0.8em;
}

.bg-dark {
    background-color: var(--kcp-black);
}

.txt-white {
    color: var(--kcp-white);
}

.social-net i {
    color: var(--kcp-white);
}

h1 {
    font-size: 2.2em;
}

h2 {
    font-size: 1.4em;
}

.up {
    text-transform: uppercase;
}

.ds {
    text-shadow: 0px 2px 4px  rgba(0, 0, 0, 0.19);
}

.bs {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.bd-content {
    padding: 0px;
}

.banner {
    height: 30vh;
    background-image: url('../assets/img/BANNERS_WIX_6.png');
    background-position: center;
    background-size: 100%;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.carousel-inner {
    border-radius: 3px;
}

.btn-dark, .btn-pride {
    text-transform: uppercase;
    background-color: var(--kcp-black);
    color: var(--kcp-white);
    font-family: "Montserrat";
    font-weight: 600;
    border: 1px solid var(--kcp-black);
    padding: 4px 20px;
    border-radius: 3px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.btn-gray {
    text-transform: uppercase;
    background-color: #888888;
    color: var(--kcp-white);
    font-family: "Montserrat";
    font-weight: 600;
    border: 1px solid #888888;
    padding: 4px 20px;
    border-radius: 3px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.btn-dark:hover, .btn-gray:hover {
    /*border:3px solid var(--kcp-black);
    background-color: white;*/
    color: var(--kcp-black);
    border: 3px solid transparent;
    background:linear-gradient(to right, white, white), linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));
    background-clip: padding-box, border-box;
    background-origin: padding-box, border-box;
    box-shadow: none;
}

.btn-pride:hover {
    text-shadow: 0px 2px 4px  rgba(0, 0, 0, 0.19);
    border: 0px;
    background: var(--kcp-black);
    background: linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));
}

.comecar a:link, .comecar a:active, .comecar a{
    text-decoration: none;
}

.linkfooter a, .linkfooter a:active, .linkfooter a:link {
    color: var(--kcp-white);
    text-decoration: none;
}

form {
    display: flex;
}


/* REGISTO 2
.fotocoverist {
    width: 40%;
    flex: 1;
    order: 1; 
    background-color: transparent;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 3px;
}

.formulario {
    order: 2;    
    width: 55%;  
}
*/


/*REGISTO 3*/ 
.fotocoverist {
    height: 300px;
    width: 300px;
    background-color: transparent;
    background-size: cover;
    background-repeat: no-repeat;
    /*border-radius: 3px;*/
}
/*....*/



.avatar-image {
    height: 100%;
    border-radius: 3px;
}

#avatar-img img {
    border-radius: 3px;
    max-height: 100%;
    max-width: 100%;
    object-fit: contain;
}

.avatar-img {
    object-fit: cover;
    width: 300px;
    height: 300px;
    border: 0px;
    padding: 0px;
}

form {
    box-sizing: border-box;
}

input[type="text"], input[type="password"], input[type="number"], input[type="date"], input[type="file"], .form-select, .form-control, #descricao, #outrasexperiencias, #projetosdescricao, #eventosdescricao, #workshopsdescricao {
    border-bottom: 1px solid var(--kcp-black);
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    width: 100%;
    padding: 11.5px 15px 15px;
    appearance: unset;
    outline: none;
    font-size: 16px;
    box-sizing: border-box;
    border-radius: 0px;
}

 #selectCategories {
    border: 1px solid var(--kcp-black);
    width: 50%;
    padding: 11px;
    /*appearance: unset;*/
    outline: none;
    font-size: 16px;
    box-sizing: border-box;
    border-radius: 0px;
}

input[type="text"]::placeholder, input[type="password"]::placeholder, input[type="number"]::placeholder, input[type="date"]::placeholder, .form-select, #descricao, #outrasexperiencias, #projetosdescricao, #eventosdescricao, #workshopsdescricao {
    color: var(--kcp-black);
}

input[type="text"]:focus, input[type="password"]:focus, input[type="number"]:focus, input[type="date"]:focus, input[type="file"]:focus, .form-select:focus, textarea:focus, #descricao:focus, #outrasexperiencias:focus, #projetosdescricao:focus, #eventosdescricao:focus, #workshopsdescricao:focus, #selectCategories:focus {
    border-bottom: 3px solid transparent;
    /*border-image: linear-gradient(to right, green, lightgreen);
    border-image-slice: 1;*/
    background:linear-gradient(to right, white, white), linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));
    background-clip: padding-box, border-box;
    background-origin: padding-box, border-box;
    box-shadow: none;
}

input[type=file]::file-selector-button {
    background-color: var(--kcp-white);
}

textarea {
    resize: none;
    height: 150px;
}

#outrasexperiencias {
    resize: none;
    height: 100px;
}

form label{
    font-weight: bold;
}

#concordo, #concordo1, #concordo2, #concordo3, #concordo4 {
    font-weight: normal;
}

.bi-person-circle {
    color:var(--kcp-white);
    font-size: 2.3em;
}

.lv {
    text-decoration: none;
    color: var(--kcp-green);
    font-weight: bold;
}



/*FORM*/
.container-form {
    background-color: #ffffff;
    margin: 40px auto;
    padding: 40px;
    border-radius: 12px;
    box-shadow: 0px 6px 18px rgba(0, 0, 0, 0.1);
}
.step {
    display: none;
}

.active {
    display: block;
}

.invalid {
    border: 1px solid #ffaba5;
}

/*.invinput {
    border-bottom: 3px solid red;
}*/

#nextBtn,
#prevBtn {
    background-color: var(--kcp-black);
    color: #ffffff;
    border: none;
    padding: 13px 30px;
    font-size: 1em;
    cursor: pointer;
    border-radius: 5px;
    flex: 1;
    margin-top: 5px;
    transition: background-color 0.3s ease;
}

#prevBtn {
    background-color: #ffffff;
    color: #333333;
    border: 1px solid var(--kcp-black);
}

#prevBtn:hover,
#nextBtn:hover {
    background-color: #333333;
    color: #ffffff;
}

#regForm .form-header {
    gap: 5px;
    text-align: center;
    font-size: .75em;
    font-weight: normal;
}

#regForm .form-header .stepIndicator {
    position: relative;
    flex: 1;
    padding-bottom: 30px;
}
#regForm .form-header .stepIndicator.active {
    font-weight: bold;
}
#regForm .form-header .stepIndicator.finish {
    font-weight: bold;
    color: #333333;
}
#regForm .form-header .stepIndicator::before {
    content: "";
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    z-index: 9;
    width: 20px;
    height: 20px;
    background-color: #9c9c9c;
    border-radius: 50%;
    border: 3px solid #c3c3c3;
}
#regForm .form-header .stepIndicator.active::before {
    background-color: #9c9c9c;
    border: 3px solid #c3c3c3;
}
#regForm .form-header .stepIndicator.finish::before {
    /*background-color: #333333;*/
    /*border: 3px solid #c3c3c3;*/
    /*background-color: #333333;*/
    background-color: #9c9c9c;
    border: 3px solid var(--kcp-green);
}
#regForm .form-header .stepIndicator::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: 8px;
    width: 100%;
    height: 3px;
    background-color: #f3f3f3;
}
#regForm .form-header .stepIndicator.active::after {
    background-color: #a7ede8;
}
#regForm .form-header .stepIndicator.finish::after {
    /*background-color: #333333;*/
    background-color: var(--kcp-green);
}
#regForm .form-header .stepIndicator:last-child:after {
    display: none;
}







.progress {
    margin-bottom: 20px;
    /*background-image: linear-gradient(to right, #FFF, #00F);*/
    /*background-image: linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));*/
}

.bg-pride{
    /*background-color: var(--kcp-green);
    background: linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));
    background-clip: padding-box, border-box;
    background-origin: padding-box, border-box;
    box-shadow: none;*/
    box-shadow: 0px 0px 0px 2000px gray;   /* white or whatever color you like */
    background-image: none !important;
    background-color: transparent !important;
}


.form-check-label {
    font-weight: normal;
}



/*Div do regulamento*/
.regulamento-div {
    background-color: #8D53B9b3;
    border-radius: 50%;
    width: 75px;
    height: 75px;
    margin-bottom: 150px;
    margin-right: 16px;
    box-shadow: 0px 6px 18px rgba(0, 0, 0, 0.1)
}

.regulamento-div:hover {
    background-color: #8D53B9;
    box-shadow: 0 6px 18px rgba(57, 57, 57, 0.6);
    -webkit-transform: translatey(-5px);
            transform: translatey(-5px);
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
  }

.bi-book {
    color: white;
    font-size: 40px;
}

#create-div, #delete-div, .addmem {
    background-color: transparent;
    border: 0px;
}

i.bi.bi-info-circle {
    font-size: 16px;
}

i.bi.bi-asterisk {
    font-size: 14px;
    color: red;
}

.dashboard-card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.db-btn {
    font-size: 1.1em;
    text-decoration: none;
}

.text-small {
    font-size: 0.8em;
}


.member-navbar a {
    color: var(--kcp-white);
}

.member-navbar li.memberlink a {
    border-bottom: 3px solid transparent;

}
.member-navbar li.memberlink:hover a {
    box-sizing: border-box;
    color: var(--kcp-white);
    border-bottom: 3px solid white;
    overflow: hidden; 
    margin-bottom: 0px;
}

.member-navbar a:focus {
    color: var(--kcp-white);
}

/*.member-navbar li.memberlink:hover i {
    background: linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
  }*/



  /* PROFILE CARD */
  .profile-card-3 {
    max-width: 100%;
    background-color: #FFF;
    border-radius: 5px;
    box-shadow: 0px 6px 18px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    position: relative;
    margin: 10px auto;
    cursor: pointer;
}

.profile-card-3 img {
    transition: all 0.25s linear;
    width: 100%;
    max-height: 400px;
    object-fit: cover;
}

.profile-card-3 .profile-content {
    position: relative;
    padding: 15px;
    background-color: #FFF;
}

.profile-card-3 .profile-description {
    /*color: #777;*/
    color: var(--kcp-black);
    font-size: 1em;
    padding: 10px;
}


.profile-card-4 {
    max-width: 100%;
    background-color: #FFF;
    border-radius: 5px;
    box-shadow: 0px 6px 18px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    position: relative;
    margin: 10px auto;
    cursor: pointer;
}

.profile-card-4 img {
    transition: all 0.25s linear;
    width: 100%;
    max-height: 400px;
    object-fit: cover;
}

.profile-card-4 .profile-content {
    position: relative;
    padding: 15px;
    background-color: #FFF;
}

.profile-card-4 .profile-name {
    font-weight: bold;
    position: absolute;
    left: 0px;
    right: 0px;
    top: -70px;
    color: #FFF;
    font-size: 1.6em;
    text-shadow: 0px 2px 4px  rgba(0, 0, 0, 0.19);

}

.profile-card-4 .profile-name p {
    font-weight: 600;
    font-size: 16px;
    letter-spacing: 1.5px;
}

.profile-card-4 .profile-description {
    color: #777;
    font-size: 1em;
    padding: 10px;
}

.profile-card-4 .profile-overview {
    padding: 15px 0px;
}

.profile-card-4 .profile-overview p {
    font-size: 10px;
    font-weight: 600;
    color: #777;
}

.profile-card-4 .profile-overview h4 {
    color: #273751;
    font-weight: bold;
}

.profile-card-4 .profile-content::before {
    content: "";
    position: absolute;
    height: 40px;
    top: -20px;
    left: 0px;
    right: 0px;
    background-color: #FFF;
    z-index: 0;
    transform: skewY(3deg);
}

.profile-card-4:hover img {
    /*transform: rotate(5deg) scale(1.1, 1.1);*/
    transform: scale(1.1, 1.1);
    filter: brightness(110%);
}

.profile-card-5 {
    max-width: 100%;
    background-color: #FFF;
    border-radius: 5px;
    overflow: hidden;
    position: relative;
    margin: 10px auto;
    cursor: pointer;
}

.profile-card-5 img {
    transition: all 0.25s linear;
    width: 100%;
    max-height: 400px;
    object-fit: cover;
}


.headeravatar {
    height: 35px;
    width: 35px;
    border-radius: 50%;
    border: 2px solid var(--kcp-white);
    object-fit: cover;
}

.profile-col {
    background-color: white; 
    box-shadow: 0px 6px 18px rgba(0, 0, 0, 0.1);
}


.legenda {
    font-size: 0.9em;
    color: #666;
}

.countdown {
    font-size: 2.3em;
    font-weight: bolder;
}

.insc-data {
    font-size: 1.5em;
}

.sub-divider {
    width: 50%; 
    text-align: center;
    margin: 17px auto;
    display: block;
    border: none;
    height: 2px;
    background: white;
    background-image: linear-gradient(to right, rgb(0, 0, 0), rgb(54, 35, 18), rgb(120, 79, 23), rgb(181, 63, 27), rgb(237, 34, 36), rgb(243, 91, 34), rgb(249, 150, 33), rgb(245, 193, 30), rgb(241, 235, 27) 48%, rgb(241, 235, 27), rgb(241, 235, 27) 52%, rgb(99, 199, 32), rgb(12, 155, 73), rgb(33, 135, 141), rgb(57, 84, 165), rgb(97, 55, 155), rgb(147, 40, 142));
    opacity: 0.8;
    border-radius: 2px;
}

.notas-coverist {
    border: 1px solid #e7e4e4;
    /*border-bottom: 1px solid #777;*/
    width: 100%;
}

.form-img  img {
    width: 100%;
    height: 300px !important;
    object-fit: cover;
}

.indexh1 {
    font-size: 3em;
}

.banner2 {
    background-image: url('../images/img-random/kcp_logo_2020_pt.png');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.info-cat {
    background-color: rgb(222, 220, 220);
}

.cat-title {
    font-size: 2.3em;
}

.error {
    font-size: 8em;
}

.disabled {
    pointer-events:none;
    opacity:0.6;
}

[data-name="inscricao"] td, [data-name="inscricao"] th {
    font-size: 1em;
    /*color: #777;*/
    color: var(--kcp-black);
}

.linkfooter a {
    background-image: linear-gradient(
    to right,
    #cd6fdb,
    #cd6fd6 50%,
    #e7e4e4 50%
  );
  background-size: 200% 100%;
  background-position: -100%;
  display: inline-block;
  padding: 1px 0;
  position: relative;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  transition: all 0.3s ease-in-out;
}

.linkfooter a:before{
  content: '';
  background: #e7e4e4;
  display: block;
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 0;
  height: 2px;
  transition: all 0.3s ease-in-out;
}

.linkfooter a:hover {
 background-position: 0;
}

.linkfooter a:hover::before{
  width: 100%;
}

footer ul li i:hover {
    color: #cd6fdb;
}

.hidden {
    display: none;
}

.shown {
    display: block;
}

#reverformulario a, #reverformulario a:link, #reverformulario a:visited,
#ffReview a, #catReview a, #biReview a, #materiais a {
    color: var(--kcp-green);
    font-weight: bold;
    text-decoration: none;
}

#reverformulario a:hover, #ffReview a:hover, #catReview a:hover, #biReview a:hover, #materiais a:hover {
    color: var(--kcp-purple);
    font-weight: bold;
    text-decoration: none;
}


.nav-pills .nav-link.active {
    background-color: var(--kcp-purple);
    font-weight: bold;
}

.nav-pills .nav-link {
    color: var(--kcp-black);
    font-weight: bold;
}